import request from '../../../utils/gw_ajax_request.js';

const baseUrl = '';

// 获取所有责任处室
export function getPageList(data) {
  return request({
    url: baseUrl + '/bis/insp/BisInspObjRelevancy/getPageList',
    method: 'POST',
    data,
  });
}
// 添加督查对象名称
export function addPageList(data) {
  return request({
    url: baseUrl + '/bis/insp/BisInspObjRelevancy/add',
    method: 'POST',
    data,
  });
}

//
export function getObjList(data) {
  return request({
    url: baseUrl + '/att/gnrl/base/getPageList',
    method: 'POST',
    data,
  });
}
// 督查对象 全覆盖 下发
export function sendObjList(data) {
  return request({
    url: baseUrl + '/att/gnrl/base/sendIsStatrt',
    method: 'POST',
    data,
  });
}

// 添加督查对象名称
export function addObjList(data) {
  return request({
    url: baseUrl + '/att/gnrl/base',
    method: 'POST',
    data,
  });
}

// 修改督查对象名称
export function update2ObjList(data) {
  return request({
    url: baseUrl + '/att/gnrl/base/update2',
    method: 'POST',
    data,
  });
}

// 获取行政区划结构树数据
export function getOrgTreeJson() {
  return request({
    url: baseUrl + '/dc/ad/base/getTreeData',
    method: 'GET',
  });
}
// 获取行政区划结构树数据
export function getAdData(data) {
  return request({
    url: baseUrl + '/dc/ad/base/getAdData',
    method: 'GET',
    data,
  });
}

// 删除督查对象未关联数据
export function deletePblms(id) {
  return request({
    url: baseUrl + `/bis/insp/BisInspObjRelevancy/delete/${id}`,
    method: 'POST',
    // data: { id }
  });
}

// 督查对象 显示和隐藏功能
export function displayUpdate(data) {
  return request({
    url: baseUrl + '/bis/insp/BisInspObjRelevancy/update',
    method: 'POST',
    data,
  });
}

// 根据编号获取配置信息
export function getByObjNum(data) {
  return request({
    url: baseUrl + `/bis/insp/BisImportByUrl/getByObjNum/${data}`,
    method: 'get',
  });
}

// 新增接入配置
export function importByUrlAdd(data) {
  return request({
    url: baseUrl + `/bis/insp/BisImportByUrl/add`,
    method: 'post',
    data,
  });
}

// 修改接入配置
export function importByUrlUpdate(data) {
  return request({
    url: baseUrl + `/bis/insp/BisImportByUrl/update`,
    method: 'post',
    data,
  });
}

// 解析数据
export function getDataAnalysis(data) {
  return request({
    url: baseUrl + `/bis/insp/BisImportByUrl/getDataAnalysis`,
    method: 'post',
    data,
  });
}

// 获取导入状态
export function getStatus(data) {
  return request({
    url: baseUrl + `/bis/insp/BisInspObjRelevancy/getByObjNum/${data}`,
    method: 'get',
  });
}
